# basic file system shortcuts
alias c="cd"
alias ..="cd .."
alias ...="cd ../.."
alias ....="cd ../../.."
alias e="exit"
alias l="ls -alH"
alias tmp="cd /tmp"

# docker shortcuts
alias doc="docker"
alias doco="docker-compose"
alias docou="docker-compose up"
alias docoub="docker-compose up --build"

# git shortcuts
alias g="git"
alias s="git status"
alias gl="git log"
alias glo="git log --oneline -10 | cat"
alias gd="git diff -- . ':(exclude)*package-lock.json'"
alias gaa="git add --all"
alias gcm="git commit -m "
alias gcmnv="git commit --no-verify -m "
alias gsubs="git submodule update --init --recursive"
alias gcan="git commit --amend --no-edit"
alias gs="git stash"
alias gsp="git stash pop"
alias gsl="git stash list"
alias gski="git stash --keep-index"
alias giti="${EDITOR} .gitignore"
alias gtag="git tag -l | sort -V"
